summaryrefslogtreecommitdiffstats
path: root/games/prboom-plus
diff options
context:
space:
mode:
author Dugan Chen <thedoogster@gmail.com>2011-12-21 06:29:59 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-12-22 00:03:03 -0600
commit216fa12d3b0af16f5e8925c8304d3b48a3b0eedb (patch)
treed96bf72e626716ea407902978bc4cafa19b9aca3 /games/prboom-plus
parenta2ce6fc7c2d93d57d191b16bfd9e1ddf0b5e75a6 (diff)
downloadslackbuilds-216fa12d3b0af16f5e8925c8304d3b48a3b0eedb.tar.gz
slackbuilds-216fa12d3b0af16f5e8925c8304d3b48a3b0eedb.tar.xz
games/prboom-plus: Added (Doom source port)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games/prboom-plus')
-rw-r--r--games/prboom-plus/README15
-rw-r--r--games/prboom-plus/prboom-plus.SlackBuild87
-rw-r--r--games/prboom-plus/prboom-plus.info10
-rw-r--r--games/prboom-plus/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/games/prboom-plus/README b/games/prboom-plus/README
new file mode 100644
index 0000000000..61162ca9cd
--- /dev/null
+++ b/games/prboom-plus/README
@@ -0,0 +1,15 @@
+PrBoom+ is a Doom source port developed from the original PrBoom project.
+
+Features uncapped framerate, widescreen aspect ratios, soundfont support,
+variable gamespeed, re-record, walkcam, chasecam, full full mouselook, fov and
+other features along with full compatibility with the original Doom/Doom2
+engines.
+
+FluidSynth, needed for soundfont support, is a recommended optional dependency.
+To get soundfont support, edit ~/.prboom-plus/prboom-plus.cfg. Set
+snd_midiplayer to "fluidsynth" and snd_soundfont to the path to the soundfont
+(.sf2) file.
+
+The documentation refers to a directory into which an IWAD file (doom.wad,
+doom2.wad, tnt.wad, plutonia.wad, or the shareware doom1.wad) may be placed.
+The IWAD directory is /usr/share/games/doom.
diff --git a/games/prboom-plus/prboom-plus.SlackBuild b/games/prboom-plus/prboom-plus.SlackBuild
new file mode 100644
index 0000000000..569cb15361
--- /dev/null
+++ b/games/prboom-plus/prboom-plus.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for prboom-plus
+
+# Written by Dugan Chen (thedoogster@gmail.com)
+
+PRGNAM=prboom-plus
+VERSION=${VERSION:-2.5.1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux \
+ --datarootdir=/usr \
+ --enable-gl
+
+make
+make install DESTDIR=$PKG
+
+# Configure script insists on putting docs in /usr/share/doc, even when told not to.
+mv $PKG/usr/share/doc $PKG/usr
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ doc/ AUTHORS COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/prboom-plus/prboom-plus.info b/games/prboom-plus/prboom-plus.info
new file mode 100644
index 0000000000..2c5ad86f45
--- /dev/null
+++ b/games/prboom-plus/prboom-plus.info
@@ -0,0 +1,10 @@
+PRGNAM="prboom-plus"
+VERSION="2.5.1.3"
+HOMEPAGE="http://prboom-plus.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/project/prboom-plus/prboom-plus/2.5.1.3/prboom-plus-2.5.1.3.tar.gz"
+MD5SUM="9401c48fb0aa0a1d2d78ef0008a25993"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dugan Chen"
+EMAIL="thedoogster@gmail.com"
+APPROVED="dsomero"
diff --git a/games/prboom-plus/slack-desc b/games/prboom-plus/slack-desc
new file mode 100644
index 0000000000..f1e66c181e
--- /dev/null
+++ b/games/prboom-plus/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+prboom-plus: prboom-plus (Doom source port)
+prboom-plus:
+prboom-plus: PrBoom+ is a Doom source port developed from the original PrBoom
+prboom-plus: project.
+prboom-plus:
+prboom-plus: Features uncapped framerate, widescreen aspect ratios, FluidSynth
+prboom-plus: support, variable gamespeed, re-record, walkcam, chasecam, full
+prboom-plus: full mouselook, fov and other features along with full compatibility
+prboom-plus: with the original Doom/Doom2 engines.
+prboom-plus:
+prboom-plus: http://prboom-plus.sourceforge.net